import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class NotificationsService {

  private msg: BehaviorSubject<string>;

  constructor() { 
    this.msg = new BehaviorSubject<string>(null);
  }

  getMsg() {
    return this.msg;
  }

  notify(msg: string) {
    this.msg.next(msg);
  }


}
